import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetPaymentByWeightOverview = createAsyncThunk(
  "PROVINCE_GET_PAYMENT_BY_WEIGHT_OVERVIREW",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`total-wage-information/`, {
      params: { ...d },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const parentConpanyGetPaymentByWeightOverview = createAsyncThunk(
  "PARENT_COMPANY_GET_PAYMENT_BY_WEIGHT_OVERVIREW",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      d + `parent-company-total-wage-information/?role=${getRoleFromUrl()}`
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
